package com.bocloud.ims.interfaces.scheduler;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;

/**
 * 定时快照任务
 * 
 * @ClassName: SnapshotTaskService.java
 * @Description:
 *
 * @author: ymh
 * @date: 2021年3月29日 下午5:31:14
 */
public interface SnapshotTaskService {

    BocloudResult create(String taskUuid, RequestContext context);

    BocloudResult modify(String taskUuid, RequestContext context);

    BocloudResult removeByVmId(Long serverId);

    BocloudResult remove(String taskUuid);

}
